| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | List of all members
Tp::Callback1< R, Arg1 > Class Template Reference
Utililty classes

Callback with 1 argument. More...

`#include <TelepathyQt/Callbacks>`

Inheritance diagram for Tp::Callback1< R, Arg1 >:
[legend]

## Public Types

typedef R(* | FunctionType) (Arg1)
typedef R | ResultType

## Public Member Functions

| Callback1 ()
template<class Functor >
| Callback1 (const Functor &functor)
ResultType | operator() (Arg1 a1) const
Public Member Functions inherited from Tp::BaseCallback
| BaseCallback ()
| BaseCallback (AbstractFunctorCaller *caller)
| BaseCallback (const BaseCallback &other)
virtual | ~BaseCallback ()
bool | isValid () const
BaseCallback & | operator= (const BaseCallback &other)

## Additional Inherited Members

Protected Attributes inherited from Tp::BaseCallback
AbstractFunctorCaller * | caller

## Detailed Description

### template<class R, class Arg1>
class Tp::Callback1< R, Arg1 >

Callback with 1 argument.

See Callbacks Usage

## Member Typedef Documentation

template<class R, class Arg1>

typedef R(* Tp::Callback1< R, Arg1 >::FunctionType) (Arg1)

template<class R, class Arg1>

typedef R Tp::Callback1< R, Arg1 >::ResultType

## Constructor & Destructor Documentation

template<class R, class Arg1>

Tp::Callback1< R, Arg1 >::Callback1 | ( |  | ) |

inline

template<class R, class Arg1>
template<class Functor >

Tp::Callback1< R, Arg1 >::Callback1 | ( | const Functor & | functor | ) |

inline

## Member Function Documentation

template<class R, class Arg1>

ResultType Tp::Callback1< R, Arg1 >::operator() | ( | Arg1 | a1 | ) | const

inline